RedCrawler API
Flairs V1

Post Flair Options V1

Get available post (link) flair templates for a subreddit. Returns flair options that can be applied to posts. Requires bearer token.

POST /api/v1/communities/post-flair

Get available post (link) flair templates for a subreddit. Returns flair options that can be applied to posts. Requires bearer token.

Body parameters

NameTypeRequiredDescription
subredditstringYesSubreddit name (e.g. pcmasterrace).
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/communities/post-flair" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"subreddit": "pcmasterrace", "proxy": "<proxy>", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/post-flair", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "subreddit": "pcmasterrace",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/post-flair"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "subreddit": "pcmasterrace",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": [
    {
      "type": "richtext",
      "text_editable": false,
      "allowable_content": "all",
      "text": "Post Flair 2",
      "max_emojis": 3,
      "text_color": "dark",
      "mod_only": false,
      "css_class": "",
      "richtext": [
        {
          "e": "text",
          "t": "Post Flair 2"
        }
      ],
      "background_color": "",
      "id": "6f77f132-43b4-11f1-9cc8-aeeaba5c1033"
    }
  ],
  "error": null,
  "meta": {
    "vault_expires_at": "2026-04-30T07:47:21.906002+00:00",
    "vault_remaining": "21h 15m"
  },
  "timestamp": "2026-04-29T10:31:48.251899+00:00"
}

On this page